## gnat-gps 5.3dfsg

=== cli/Makefile ===
default:
	gprbuild -p -Pcli -cargs $(COVERAGE_CARGS) -largs $(COVERAGE_LARGS)

=== gnatlib/Makefile ===
.PHONY: all examples test clean docs install generate_sources do_links static relocatable shared

## Put this first so that it is the default make target
all:

include Makefile.conf

ifeq (${BUILDS_SHARED},yes)
# Additional targets. Builds relocatble first so that the tools are
# preferably linked statically.
all: relocatable static
else
all: static
endif

include Makefile.gnat

## Builds explicitly the shared or the static libraries

static: build_library_type/static
shared relocatable: build_library_type/relocatable

# Build either type of library. The argument (%) is the type of library to build

build_library_type/%: generate_sources do_links
	@echo "====== Building $(@F) libraries ======"
	${GPRBUILD} -m -j${PROCESSORS} -XLIBRARY_TYPE=$(@F) -Pgnatcoll_build -p

	@# Need to build libgnatcoll_gtk separately, because its project files
	@# requires gtkada.gpr, which might not exist on the machine.
ifeq (${WITH_GTK},yes)
	${GPRBUILD} -m -j${PROCESSORS} -XLIBRARY_TYPE=$(@F) -Psrc/gnatcoll_gtk -p
endif

	@# Build the tools (the list is the project's Main attribute)
	@# They are not build as part of the above because only the Main from
	@# gnatcoll_build.gpr are build. We could use aggregate projects to speed
	@# things up.
	${GPRBUILD} -q -m -j${PROCESSORS} -XLIBRARY_TYPE=$(@F) -Psrc/gnatcoll_tools

# Regenerate part of the sources. Unfortunately, this can be run only after
# we have build GNATCOLL, and then its tools, even though GNATCOLL itself
# relies on those generated sources.
# So this target simply does nothing if gnatcoll_db2ada is not found, in which
# case we use the checked in sources (which means that changing the dbschema
# requires to have already build GNATCOLL once before)

generate_sources:
	-@if [ -f src/obj/gnatcoll_db2ada${EXE} ]; then \
	   src/obj/gnatcoll_db2ada${EXE} -dbtype=sqlite -dbname=:memory: \
		-output src/generated \
		-dbmodel=src/dbschema.txt \
		-createdb \
		-adacreate \
		-api GNATCOLL.Xref.Database \
		-load=src/initialdata.txt \
		-enum "f2f_kind,id,name,F2F_,Integer" \
		-enum "e2e_kind,id,name,E2E_,Integer"; \
	fi

examples:
	${MAKE} -C examples all

## Create links for the gnat sources

do_links:
ifeq ($(GNAT_SOURCES),copy)
ifeq ($(OS),Windows_NT)
	-@$(foreach f,$(GNAT_SOURCES_FOR_GNATCOLL), \
	    $(CP) -f gnat_src/$(f) gnat >/dev/null 2>&1 ;)
else
	-@$(foreach f,$(GNAT_SOURCES_FOR_GNATCOLL), \
	   $(LN_S) -f ../gnat_src/$(f) gnat >/dev/null 2>&1 ;)
endif
	@(cd gnat && gnatmake -q xsnamest && ./xsnamest && mv snames.ns snames.ads && mv snames.nb snames.adb)
endif

## Only works after installation, so we should install to a local directory
## first, so as not to break the users's environment, but still test the
## actual installation process.
## However, we do not force a recompilation here for now, so that we can still
## run the tests on the current binaries, even if we are doing some modifs
## that are not yet compilable
test_names=

local_install: force
	@${MAKE} prefix=${shell pwd}/local_install install >/dev/null

test: local_install
	@${MAKE} prefix=${shell pwd}/local_install test_names="${test_names}" -C testsuite

test_verbose: local_install
	@${MAKE} prefix=${shell pwd}/local_install test_names="${test_names}" -C testsuite verbose

# Installs both static and shared libraries (if they were build)
# GNU standards say we must not recompile, for this target
install:
	${MKDIR} ${bindir}
	${MKDIR} ${DESTDIR}${prefix}/lib/gnat/${TARNAME}
	${MKDIR} ${datadir}/${TARNAME}
	${MKDIR} ${includedir}/${TARNAME}
	${CP} src/dborm.py ${datadir}/${TARNAME}/
	${CP} distrib/*.gpr ${DESTDIR}${prefix}/lib/gnat

	${MKDIR} ${datadir}/examples/${TARNAME}
	@# Do not want to copy .svn directories
	${CP} -rf examples/* ${datadir}/examples/${TARNAME}

	${MKDIR} ${datadir}/gps/plug-ins
	${CP} distrib/gnatcoll_gps.xml ${datadir}/gps/plug-ins
	${CP} distrib/gnatcoll_runtime.xml ${datadir}/gps/plug-ins

	${MKDIR} ${datadir}/doc/${TARNAME}/html
	-${CP} -r docs/_build/html/* ${datadir}/doc/${TARNAME}/html 2>/dev/null
	-${CP} docs/_build/latex/GNATColl.pdf ${datadir}/doc/${TARNAME}/gnatcoll.pdf 2>/dev/null

	${MKDIR} ${libdir}/${TARNAME}/static
ifeq (${BUILDS_SHARED},yes)
	${MKDIR} ${libdir}/${TARNAME}/relocatable
endif

	${MAKE} -C src -f Makefile.gnatcoll libinstall
	${MAKE} -C src -f Makefile.python libinstall
ifeq (${WITH_GTK},yes)
	${MAKE} -C src -f Makefile.gtk libinstall
endif
	${MAKE} -C src -f Makefile.iconv libinstall
	${MAKE} -C src -f Makefile.postgres libinstall
	${MAKE} -C src -f Makefile.sqlite libinstall
	${MAKE} -C src -f Makefile.readline libinstall
	${MAKE} -C src -f Makefile.tools installbin
ifeq (${WITH_GMP},yes)
	${MAKE} -C src -f Makefile.gmp libinstall
endif

## Clean either type of library, based on the value of (%)

clean_library/%:
	-gprclean -r -q -Pgnatcoll_build -XLIBRARY_TYPE=$(@F)
	@# Separate pass to also remove the Main
	-gprclean -r -q -Psrc/gnatcoll_tools -XLIBRARY_TYPE=$(@F)
ifeq (${WITH_GTK},yes)
	-gprclean -r -q -Psrc/gnatcoll_gtk -XLIBRARY_TYPE=$(@F)
endif

clean: clean_library/static clean_library/relocatable
	-${MAKE} -C testsuite $@
	-${MAKE} -C docs $@
	-${MAKE} -C examples $@

docs:
	${MAKE} -C docs html latexpdf

force:

=== gps/Makefile ===
ifeq ($(OS),Windows_NT)
   LN = cp -p
else
   LN = ln -s
endif

GPRBUILD=gprbuild
GPRBUILD_FLAGS=

Build?=Debug

ifeq ($(Build),Production)
  GPRBUILD_BUILD_TYPE_FLAGS=-XBuild=Production -XGnatcoll_Build=Production
else
  GPRBUILD_BUILD_TYPE_FLAGS=-XBuild=Debug -XGnatcoll_Build=Debug
endif

.PHONY: default resources do_links all clean

default: all

include ../Makefile.gnat

# NOTE: we need to build gnatcoll separately, since we cannot use
# gnat.adc (No_Tasking restriction) on all gnatcoll sources.
all: resources do_links
	$(MAKE) Gnatcoll_Build=${Build} -C ../gnatlib
	$(GPRBUILD) $(GPRBUILD_FLAGS) -m -ws -P../spark/spark
	$(GPRBUILD) $(GPRBUILD_FLAGS) -m -p -ws -XTP_TASKING=No_Tasking \
	  $(GPRBUILD_BUILD_TYPE_FLAGS) -Pgps -largs `pkg-config gmodule-2.0 --libs`

scil: do_links
	$(MAKE) -s Gnatcoll_Build=${Build} -C ../gnatlib do_links
	-gnatmake -q -k -j0 --subdirs=codepeer -gnatcC -m -p -ws \
	  -XTP_TASKING=No_Tasking $(GPRBUILD_BUILD_TYPE_FLAGS) -Pgps

resources:
ifeq ($(OS),Windows_NT)
	@cd src; windres gps.rc -O coff -o ../obj/gps.res
	$(MAKE) -s -C ../common/expect
endif

do_links:
	-@$(foreach f,$(GNAT_SOURCES), \
	  $(LN) ../gnatlib/gnat_src/$(f) ../gnat > /dev/null 2>&1 ;)

clean:
ifeq ($(OS),Windows_NT)
	$(MAKE) -s -C ../common/expect clean
endif
	-gprclean -q -r -Pgps

=== docs/tutorial/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Tutorial.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Tutorial.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Tutorial"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Tutorial"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== gnatlib/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/GNATColl.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/GNATColl.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/GNATColl"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/GNATColl"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== gvd/gdbmi/Makefile ===
all: libgdbmi

.PHONY: libgdbmi
.PHONY: tests

libgdbmi: libgdbmi.gpr tests/mi_tests.gpr
	gprbuild -p libgdbmi.gpr
	gprbuild -p tests/mi_tests.gpr

clean: libgdbmi.gpr tests/mi_tests.gpr
	gnatclean -P libgdbmi.gpr
	gnatclean -P tests/mi_tests.gpr

distclean: clean
	rm -rf obj/ lib/ tests/obj/

tests: full-tests

fast-tests: libgdbmi
	python -B tests/run_tests.py -v

full-tests: libgdbmi
	python -B tests/run_tests.py -v --with-valgrind

parser-fast-tests: libgdbmi
	python -B tests/run_tests.py -v --parser

parser-full-tests: libgdbmi
	python -B tests/run_tests.py -v --parser --with-valgrind

utils-fast-tests: libgdbmi
	python -B tests/run_tests.py -v --utils

utils-full-tests: libgdbmi
	python -B tests/run_tests.py -v --utils --with-valgrind

=== debian/changelog ===
gnat-gps (5.3dfsg-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + gnat-gps: Recommend gdb | gdb-minimal.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 09 Jan 2015 23:38:21 +0100

gnat-gps (5.3dfsg-1) unstable; urgency=medium

  * Repackage with correct licensing for documentation. Closes: #768547.
    copyright: the user's guide is licensed under GFDL-1.1+.
    README.source: archive now compressed with xz instead of bz2 (-33%).
    Remove obsolete lintian-overrides and separate doc copyright.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 09 Nov 2014 21:34:18 +0100

=== debian/control ===
Source: gnat-gps
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1),
 gnat-4.9, libgnatprj4.9-dev,
 libxmlada5-dev,
# dh_sphinxdoc
 sphinx-common,
# other js libraries
 dh-linktree,
 libtemplates-parser11.8.2015-dev,
 pkg-config,
 libgtkada2.24.4-dev, libgtk2.0-dev,
 libgnatcoll1.6-dev,
 libgnatcoll-gtk1.6-dev,
 libgnatcoll-sqlite1.6-dev,
Build-Depends-Indep: texinfo,  imagemagick,
 libjs-prototype (>= 1.6.1),
 libjs-scriptaculous (>= 1.5.1),
 texlive-fonts-recommended,
 texlive-generic-recommended,
 texlive-latex-extra, texlive-latex-recommended,
 python-sphinx, graphviz
Standards-Version: 3.9.5
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat-gps
Vcs-Mtn: www.ada-france.org org.debian.gnat-gps
Homepage: http://libre.adacore.com/libre/tools/gps

Package: gnat-gps
Architecture: any
Depends: gnat-gps-common (=${source:Version}), ${shlibs:Depends}, ${misc:Depends},
# libgnatcoll-sqlite-bin provides gnatinspect and gnat-gps runs it.
 libgnatcoll-sqlite-bin
Recommends: gnat (>= 4.9), gdb | gdb-minimal (>= 6.8), python-gtk2,
 gnat-gps-doc (= ${source:Version})
Suggests: gprbuild
Description: integrated development environment for C and Ada
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 GPS gives access to built-in file editing; HTML based help system;
 complete compile/build/run cycle; intelligent source navigation;
 project management; general graph technology giving access to many
 different browsers such as source dependency, project dependency, call
 graphs, etc.; fully integrated visual debugger, based on the GVD
 technology, and enhanced for inclusion in GPS; generic version control
 system, providing access to CVS, ClearCase, and possibly others in the
 future; many other tools such as a visual comparison, automatic
 generation of files, source reformatting.
 .
 GPS is fully customizable, providing several levels of customizations:
 a first level, available through the preferences dialog; a second
 level, which allows you to customize your menu items, tool bar and key
 bindings; a third level, which allows you to automate processing
 through scripts; and a fourth level, which allows any kind of very
 specific or tight integration, due to the open nature of GPS, and to
 its architecture.
 .
 GPS also integrates with existing editors such as Emacs and Vi.

Package: gnat-gps-dbg
Architecture: any
Priority: extra
Section: debug
Depends: gnat-gps (= ${binary:Version}), ${misc:Depends}
Description: integrated development environment for C and Ada (debugging symbols)
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 This package contains the detached debugging symbols for debugging GPS.

Package: gnat-gps-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: ada-reference-manual-2012, gprbuild-doc
Section: doc
Description: integrated development environment for C and Ada (documentation)
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 This package contains the documentation in ASCII, Info, HTML and
 PostScript formats. This documentation consists of:
 .
  - the GPS Tutorial: building Hello, World with the GPS
  - a User's Guide: using the GPS for multi-language projects
  - a Programmer's Manual: extending the GPS with new modules

Package: gnat-gps-common
Architecture: all
Depends: ${misc:Depends}
Breaks: gnat-gps (<< 5.0)
Replaces: gnat-gps (<< 5.0)
Description: integrated development environment for C and Ada (common files)
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 This package contains images, templates and plug-ins required at run time
 by GPS.

=== debian/rules ===
#!/usr/bin/make -f

##############
# Legal stuff
##############

# Copyright (c) 2003-2006, 2011-2014 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2010-2014 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

.SUFFIXES:

########################
# Guess some variables.
########################

include /usr/share/dpkg/default.mk
# Set CFLAGS (handling noopt from DEB_BUILD_OPTIONS), LDFLAGS,
# DEB_HOST_GNU_TYPE, DEB_HOST_ARCH, DEB_VERSION...

include /usr/share/ada/debian_packaging.mk

######################################################################
POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
  build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@ --with linktree --with sphinxdoc

# Do not try to call an upstream configure or Makefile.
.PHONY: $(addprefix override_dh_auto_, \
  clean configure build-arch build-indep test install)

######################################################################
# See gnat-gps-doc.TODO and the share/* part of gnat-gps-common.install.
GNAT_SWITCHES_PY := share/plug-ins/gps_utils/gnat_switches.py
binary-indep: $(GNAT_SWITCHES_PY)
$(GNAT_SWITCHES_PY):
	touch $@
override_dh_auto_clean::
	rm -f $(GNAT_SWITCHES_PY)

######################################################################
override_dh_auto_build-arch: gnat-gps

# gnatmake knows if the file needs recompilation.
.PHONY: gnat-gps
gnat-gps:
	gnatmake $(BUILDER_OPTIONS) -k -a -m -Pdebian/build_gps.gpr \
          -XADAFLAGS="$(ADAFLAGS)" \
          -XLDFLAGS="$(LDFLAGS)" \
          -XLDLIBS="$(LDLIBS)" \
          -XC_OBJECTS="$(addprefix ../,$(C_OBJECTS))"

# C_OBJECTS prerequisite is defined later, but may be used in the recipe now.

gnat-gps: LDLIBS := `pkg-config --libs gtk+-2.0 cairo-xlib-xrender`

gnat-gps: LDLIBS += -lutil
# common/tty/terminals.c calls openpty, needing -lutil on FreeBSD

override_dh_auto_clean::
	rm -f gnat-gps obj/*

######################################################################
CONFIG_ADS := common/core/src/config.ads
gnat-gps: $(CONFIG_ADS)
$(CONFIG_ADS): %: %.in
	sed -e 's/@GPS_VERSION@/$(DEB_VERSION)/' \
	    -e 's/@TARGET@/$(DEB_HOST_GNU_TYPE))/' \
	    -e 's!@prefix@!/usr!' \
	    -e 's/@HOST_TYPE@/Unix/' \
	    -e 's/@STRIP_CR@/False/' \
	    -e 's/@CAN_OUTPUT@/True/' \
	    -e 's!@EXEC_COMMAND@!/bin/sh -c!' \
	    -e 's/@DEFAULT_FONT@/Sans 9/' \
	    -e 's/@DEFAULT_FIXED_FONT@/Mono 9/' \
	    -e 's/@DEFAULT_PS@/ps/' \
	    -e 's/@PRINT_CMD@/lpr/' \
	    -e 's/@OPAQUE_MDI@/True/' \
	    -e 's/@DIFF_CMD@/diff -u/' \
	    -e 's/@DIFF3_CMD@/diff3/' \
	    -e 's/@PATCH_CMD@/patch/' \
	    -e 's/@EXECUTION_WINDOW@/True/' \
	    -e "s/unknown date/Debian/" \
	    -e 's/@CHARSET@/UTF-8/' $< > $@
override_dh_auto_clean::
	rm -f $(CONFIG_ADS)

######################################################################
C_SOURCES := \
 common/tty/terminals.c \
 gvd/pixmaps/pixmaps.c \
 prj_editor/src/env.c \
 vcs/pixmaps/pixmaps_vcs.c \
 vdiff/src/pixmaps_vdiff.c \
 widgets/src/check_button.c \
 widgets/src/gtkada_terminal.c \
 widgets/src/native_file_selection.c \

C_OBJECTS := $(patsubst %.c,%.o,$(C_SOURCES))

gnat-gps: $(C_OBJECTS)

# Default rule, sufficient for most C files. We repeat it here so that it
# is not erased when we add prerequisites to some specific sources.
$(C_OBJECTS): %.o: %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@

# Use pkg-config to figure the exact cflags needed.
pkg_config_depends = $(1).o: CFLAGS += `pkg-config --cflags $(2)`
$(call pkg_config_depends,widgets/src/check_button,gtk+-2.0)
$(call pkg_config_depends,widgets/src/gtkada_terminal,gtk+-2.0)

override_dh_auto_clean::
	rm -f $(C_OBJECTS)

######################################################################

override_dh_auto_build-indep: docs
.PHONY: docs
docs: docs/Makefile
	$(MAKE) -C docs

docs/Makefile: docs/Makefile.in
	sed -e 's,@prefix@,/usr,' -e 's,@MAKEINFO@,makeinfo,' \
	    -e 's,@TEXI2DVI@,texi2dvi,' -e 's,@INSTALL@,install,' \
	    -e 's,@INSTALL_DATA@,install -m 644,' $< > $@
override_dh_auto_clean::
	if test -f docs/Makefile; then $(MAKE) -C docs clean; fi
	rm -f docs/users_guide/GPS.pyc
	rm -f docs/Makefile

######################################################################
# Replacing documentation directories with symbolic links would spare
# 10Kb but creates too much maintainance, see #684194 and #655383.
# From 4.3-1 to 5.0-12, every binary package has created at least a
# link, that dpkg may never have removed since (policy 6.6.4).
# Generated preinst scripts will remove them.
PREINST_ARCH  := debian/gnat-gps.preinst \
                 debian/gnat-gps-dbg.preinst
PREINST_INDEP := debian/gnat-gps-common.preinst \
                 debian/gnat-gps-doc.preinst
binary-arch: $(PREINST_ARCH)
binary-indep: $(PREINST_INDEP)
clean: clean_preinst
$(PREINST_ARCH) $(PREINST_INDEP): debian/%.preinst: debian/rm_doc_symlink.preinst.sed
	sed s/PKGNAME/$*/ $< > $@
.PHONY: clean_preinst
clean_preinst:
	rm -f $(PREINST_ARCH) $(PREINST_INDEP)

######################################################################
.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --all -X.xml -X.ads -X.adb -X.c -X.py

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --package=gnat-gps --dbg-package=gnat-gps-dbg
	dh_strip --remaining-packages

=== debian/watch ===
# Upstream uses a complicated website making hard to automatically find new
# versions of GPS. See debian/README.source for details.

## gnat-gps 6.1.1

=== cli/Makefile ===
GPRBUILD=gprbuild

all default:
	$(GPRBUILD) -p -Pcli

=== gps/Makefile ===
--- 
+++ 
@@ -18,6 +18,9 @@
 .PHONY: default resources do_links all clean
 
 default: all
+
+gps_and_cli: all
+	$(MAKE) -C ../cli all
 
 include ../Makefile.gnat
 
@@ -40,9 +43,14 @@
 	$(MAKE) -s -C ../common/expect
 endif
 
+# If gnatlib/gnat_src exists, we use symbolic links to find the files we
+# need, otherwise we assume that cron-src has put them in gnat/ already.
+# Those few files are needed to generate support plug-ins for GPS.
 do_links:
+ifneq ($(wildcard ../gnatlib/gnat_src),)
 	-@$(foreach f,$(GNAT_SOURCES), \
 	  $(LN) ../gnatlib/gnat_src/$(f) ../gnat > /dev/null 2>&1 ;)
+endif
 
 clean:
 ifeq ($(OS),Windows_NT)

=== docs/users_guide/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

generate:
	mkdir -p generated
	../../gps/obj/gps --load=python:generate.py

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/GPS.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/GPS.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/GPS"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/GPS"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
gnat-gps (6.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Build with gnat-6. Closes: #830379.
    Build-Depends on xmlada_dom gnatcoll_sqlite gprbuild,
    but not on texinfo imagemagick texlive-generic-recommended.
    Move dh-linktree and sphinx-common from Build-Depends to B-D-Indep.
    Depend: python-gi for default GUI.
    Recommend: python-jedi and -pep8 to prevent warnings in default startup.
    Stop Recommending obsolete gprbuild-doc.
  * Use Adacore uscan redirector and Files-Excluded to simplify updates.
  * New executables: gnatdoc (formerly docgen) gnatspark gps_cli.
  * docs in PDF and HTML formats thanks to sphinxdoc.
    Build-Depend: texlive-generic-extra for iftex.sty. Closes: #829676.
    Move docs/gps-welcome.html from -doc to -common, as gnat-gps requires it.
  * Freeze the clock for deterministic PDF timestamps.
  * Standards-Version: 3.9.8: replace menu file with desktop file.
  * Replace manual -dbg packages with automatic -dbgsym packages.
  * Enable all hardening options.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 29 Jul 2016 12:20:04 +0200

=== debian/control ===
Source: gnat-gps
Section: devel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1),
 gnat-6, libgnatprj6-dev,
 libxmlada-unicode6-dev, libxmlada-input-sources6-dev, libxmlada-sax6-dev, libxmlada-dom6-dev,
 gprbuild,
 libtemplates-parser11.10.1-dev,
 pkg-config, libglib2.0-dev, libgtk-3-dev,
 libgtkada3.8.3-dev,
# 1.7gpl2015-2 reverts to Python2, and GPS is incompatible with Python3.
 libgnatcoll-python1.7-dev (>=1.7gpl2015-2),
 libgnatcoll1.7-dev,
 libgnatcoll-gtk1.7-dev,
 libgnatcoll-sqlite1.7-dev
Build-Depends-Indep:
# Sphinx uses graphs for Python inheritance trees, in gps.py for example.
 graphviz,
 libjs-prototype (>= 1.6.1),
 libjs-scriptaculous (>= 1.5.1),
 texlive-fonts-recommended,
# sphinx-doc requires iftex.sty:
 texlive-generic-extra,
 texlive-latex-extra,
# Called in rules for deterministic PDF timestamps.
 faketime,
# dh_sphinxdoc
 sphinx-common,
# other js libraries
 dh-linktree,
 python-sphinx
Standards-Version: 3.9.8
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat-gps
Vcs-Mtn: www.ada-france.org org.debian.gnat-gps
Homepage: http://libre.adacore.com/libre/tools/gps

Package: gnat-gps
Architecture: any
Depends: gnat-gps-common (=${source:Version}), ${shlibs:Depends}, ${misc:Depends},
# Required for any compilation.
 gprbuild,
# Required by the Python scripts describing the GUI.
 python-gi,
# libgnatcoll-sqlite-bin provides gnatinspect and gnat-gps runs it.
 libgnatcoll-sqlite-bin
Recommends: gnat (>= 4.9), gdb-minimal (>= 6.8),
 gnat-gps-doc (= ${source:Version})
 ,python-jedi
 ,python-pep8
Description: integrated development environment for C and Ada
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 GPS gives access to built-in file editing; HTML based help system;
 complete compile/build/run cycle; intelligent source navigation;
 project management; general graph technology giving access to many
 different browsers such as source dependency, project dependency, call
 graphs, etc.; fully integrated visual debugger, based on the GVD
 technology, and enhanced for inclusion in GPS; generic version control
 system, providing access to CVS, ClearCase, and possibly others in the
 future; many other tools such as a visual comparison, automatic
 generation of files, source reformatting.
 .
 GPS is fully customizable, providing several levels of customizations:
 a first level, available through the preferences dialog; a second
 level, which allows you to customize your menu items, tool bar and key
 bindings; a third level, which allows you to automate processing
 through scripts; and a fourth level, which allows any kind of very
 specific or tight integration, due to the open nature of GPS, and to
 its architecture.
 .
 GPS also integrates with existing editors such as Emacs and Vi.
 .
 This package also provides related command line tools:
  - gnatdoc extracts documentation from comments in Ada sources
  - gnatspark runs a spark tool according to a GNAT project
  - gps_cli is a command-line interface for gnat-gps

Package: gnat-gps-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: ada-reference-manual-2012
Section: doc
Description: integrated development environment for C and Ada (documentation)
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 This package contains the documentation in HTML and PDF formats.
 This documentation consists of:
  - the GPS Tutorial: building Hello, World with the GPS
  - a User's Guide: using the GPS for multi-language projects
  - a Programmer's Manual: extending the GPS with new modules
  - an user's guide for the gnatdoc command line tool

Package: gnat-gps-common
Architecture: all
Depends: ${misc:Depends}
Breaks: gnat-gps (<< 5.0)
Replaces: gnat-gps (<< 5.0)
Description: integrated development environment for C and Ada (common files)
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 This package contains images, templates and plug-ins required at run time
 by GPS.

=== debian/rules ===
#!/usr/bin/make -f

##############
# Legal stuff
##############

# Copyright (c) 2003-2006, 2011-2014 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2010-2016 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

.SUFFIXES:

########################
# Guess some variables.
########################

DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/default.mk
# Set CFLAGS (handling noopt from DEB_BUILD_OPTIONS), LDFLAGS,
# DEB_HOST_GNU_TYPE, DEB_HOST_ARCH, DEB_VERSION...

include /usr/share/ada/debian_packaging*.mk

PKG_CONFIG_LIBRARIES := gtk+-3.0 glib-2.0

DEB_DATE_RFC_2822 := $(shell dpkg-parsechangelog -S date)
DEB_DATE_RFC_3339 := $(shell date "+%F %T" -d "$(DEB_DATE_RFC_2822)")

######################################################################
POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
  build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@

# Do not try to call an upstream configure or Makefile.
.PHONY: $(addprefix override_dh_auto_, \
  clean configure build-arch build-indep test install)

######################################################################
# See gnat-gps-doc.TODO and the share/* part of gnat-gps-common.install.
# distrib/gnat_switches.awk processes the non DFSG gnat_ug.texi.
GNAT_SWITCHES_PY := share/support/core/gnat_switches.py
override_dh_auto_build-indep: $(GNAT_SWITCHES_PY)
$(GNAT_SWITCHES_PY):
	touch $@
override_dh_auto_clean::
	rm -f $(GNAT_SWITCHES_PY)

GNAT_RUNTIME_PLUG_IN := share/support/core/runtime.py
override_dh_auto_build-indep: $(GNAT_RUNTIME_PLUG_IN)
share/support/core/runtime.py:
	cd distrib && perl from_impunit.pl
override_dh_auto_clean::
	rm -f  $(GNAT_RUNTIME_PLUG_IN)

LIGHT_ICONS := share/icons/light/svg
override_dh_auto_build-indep: $(LIGHT_ICONS)
$(LIGHT_ICONS):
	mkdir $@
	cd distrib && python iconsets.py
override_dh_auto_clean::
	rm -fr $(LIGHT_ICONS)

######################################################################
override_dh_auto_build-arch:
	gprbuild $(BUILDER_OPTIONS) -k -Pdebian/build_gps.gpr \
	  $(foreach v,ADAFLAGS CFLAGS CPPFLAGS LDFLAGS,"-X$(v)=$($(v))") \
	  "-XPKG_CONFIG_CFLAGS=`pkg-config --cflags $(PKG_CONFIG_LIBRARIES)`" \
	  "-XPKG_CONFIG_LIBS=`pkg-config --libs $(PKG_CONFIG_LIBRARIES)`"
override_dh_auto_clean::
	rm -f obj/*

GPR_CONFIGURATION := default.cgpr
override_dh_auto_build-arch: $(GPR_CONFIGURATION)
$(GPR_CONFIGURATION):
	gprconfig --batch --config=Ada --config=C,,,,gnatgcc
override_dh_auto_clean::
	rm -f $(GPR_CONFIGURATION)

CONFIG_ADS := common/core/src/config.ads
override_dh_auto_build-arch: $(CONFIG_ADS)
$(CONFIG_ADS): %: %.in
	sed -e 's/@CURRENT_YEAR@/2015/' \
	    -e 's/@GPS_VERSION@/$(DEB_VERSION_UPSTREAM)/' \
	    -e 's/@TARGET@/$(DEB_HOST_GNU_TYPE))/' \
	    -e 's/@TARGET_IS_DARWIN@/False/' \
	    -e 's!@prefix@!/usr!' \
	    -e 's/@HOST_TYPE@/Unix/' \
	    -e 's/@STRIP_CR@/False/' \
	    -e 's/@CAN_OUTPUT@/True/' \
	    -e 's!@EXEC_COMMAND@!/bin/sh -c!' \
	    -e 's/@DEFAULT_FONT@/Sans 9/' \
	    -e 's/@DEFAULT_FIXED_FONT@/Mono 9/' \
	    -e 's/@DEFAULT_PS@/ps/' \
	    -e 's/@PRINT_CMD@/lpr/' \
	    -e 's/@OPAQUE_MDI@/True/' \
	    -e 's/@DIFF_CMD@/diff -u/' \
	    -e 's/@DIFF3_CMD@/diff3/' \
	    -e 's/@PATCH_CMD@/patch/' \
	    -e 's/@EXECUTION_WINDOW@/True/' \
	    -e 's/@CHARSET@/UTF-8/' $< > $@
override_dh_auto_clean::
	rm -f $(CONFIG_ADS)

######################################################################
DOCS := \
 docs/users_guide/_build \
 docs/tutorial/_build \
 docs/programmers_guide/_build \
 docs/release_notes/build \
 gnatdoc/docs/users_guide/_build
override_dh_auto_build-indep: $(DOCS)
$(DOCS):
 # Freeze the clock for deterministic PDF timestamps.
	faketime -f "$(DEB_DATE_RFC_3339)" \
	$(MAKE) -C $(dir $@) SPHINXOPTS=-j$(BUILDER_JOBS) html latexpdf
	# Creates Python precompiled files in every imported module,
	# we do not want them installed.
	find . -name "*.pyc" -delete
override_dh_auto_clean::
	rm -fr $(DOCS)
	find . -name "*.pyc" -delete

######################################################################
# Replacing documentation directories with symbolic links would spare
# 10Kb but creates too much maintainance, see #684194 and #655383.
# From 4.3-1 to 5.0-12, every binary package has created at least a
# link, that dpkg may never have removed since (policy 6.6.4).
# Generated preinst scripts will remove them.
PREINST_ARCH  := debian/gnat-gps.preinst
PREINST_INDEP := debian/gnat-gps-common.preinst \
                 debian/gnat-gps-doc.preinst
binary-arch: $(PREINST_ARCH)
binary-indep: $(PREINST_INDEP)
clean: clean_preinst
$(PREINST_ARCH) $(PREINST_INDEP): debian/%.preinst: debian/rm_doc_symlink.preinst.sed
	sed s/PKGNAME/$*/ $< > $@
.PHONY: clean_preinst
clean_preinst:
	rm -f $(PREINST_ARCH) $(PREINST_INDEP)

######################################################################
# Mimic dh --with sphinxdoc with sphinx-common in Build-Depends-Indep.
.PHONY: override_dh_installdocs-indep
override_dh_installdocs-indep:
	dh_installdocs -i
	dh_sphinxdoc -i

# Mimic dh --with linktree, with dh-linktree in Build-Depends-Indep.
.PHONY: override_dh_link-indep
override_dh_link-indep:
	dh_link -i
	dh_linktree -i

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --all -X.xml -X.ads -X.adb -X.c -X.py

=== debian/watch ===
version=4
opts=\
  filenamemangle=s/^.*download=//,\
  dversionmangle=s/dfsg$// \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=adacore/gps \
.*gps-([\d\.]+)-src\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
